com.trendmicro.ds.platform.rest.object.administratorroles

## Class AddAdministratorRoleHostGroupsRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administratorroles.AddAdministratorRoleHostGroupsRequest

-     public class AddAdministratorRoleHostGroupsRequest
      extends java.lang.Object

  Request object for the AddAdministratorRoleHostGroups API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddAdministratorRoleHostGroupsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getHostGroups()` Get the list of host group IDs to add to the administrator role.
    `void` | `setHostGroups(java.util.List<java.lang.Integer> hostGroups)` Set the list of host group IDs to add to the administrator role.
    `AddAdministratorRoleHostGroupsRequest` | `withHostGroups(java.lang.Integer... hostGroups)` Set the list of host group IDs to add to the administrator role.
    `AddAdministratorRoleHostGroupsRequest` | `withHostGroups(java.util.List<java.lang.Integer> hostGroups)` Set the list of host group IDs to add to the administrator role.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddAdministratorRoleHostGroupsRequest

          public AddAdministratorRoleHostGroupsRequest()

  - ### Method Detail

    - #### getHostGroups

          public java.util.List<java.lang.Integer> getHostGroups()

      Get the list of host group IDs to add to the administrator role.
      Returns:
        the list of host group IDs to add to the administrator role.

    - #### setHostGroups

          public void setHostGroups(java.util.List<java.lang.Integer> hostGroups)

      Set the list of host group IDs to add to the administrator role.
      Parameters:
        `hostGroups` - the list of host group IDs to add to the administrator role.

    - #### withHostGroups

          public AddAdministratorRoleHostGroupsRequest withHostGroups(java.util.List<java.lang.Integer> hostGroups)

      Set the list of host group IDs to add to the administrator role.
      Parameters:
        `hostGroups` - the list of host group IDs to add to the administrator role.
      Returns:
        the updated AddAdministratorRoleHostGroupsRequest object.

    - #### withHostGroups

          public AddAdministratorRoleHostGroupsRequest withHostGroups(java.lang.Integer... hostGroups)

      Set the list of host group IDs to add to the administrator role.
      Parameters:
        `hostGroups` - the list of host group IDs to add to the administrator role.
      Returns:
        the updated AddAdministratorRoleHostGroupsRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.